--- title: "createCloudHadoopNotebookInstance" slug: "analytics-vhadoop-createcloudhadoopnotebookinstance" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-vhadoop-createcloudhadoopnotebookinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createCloudHadoopNotebookInstance Available in VPC Create a Cloud Hadoop notebook. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vhadoop/v2/createCloudHadoopNotebookInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-vhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `cloudHadoopNotebookName` | String | Required | Notebook name - Enter 3 to 15 characters using a combination of lowercase English letters, numbers, and special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. | | `cloudHadoopNotebookComponent` | String | Required | Notebook component - See `code` of [getCloudHadoopNotebookComponentList](/docs/en/analytics-vhadoop-getcloudhadoopnotebookcomponentlist). | | `cloudHadoopNotebookImageProductCode` | String | Optional | Notebook image code - See `productCode` of [getCloudHadoopNotebookImageProductList](/docs/en/analytics-vhadoop-getcloudhadoopnotebookimageproductlist). - If not entered, the latest version provided will be applied. | | `cloudHadoopInstanceNo` | String | Required | Cluster instance number - See [getCloudHadoopInstanceList](/docs/en/analytics-vhadoop-getcloudhadoopinstancelist). | | `bucketName` | String | Required | Object Storage bucket name - See [getCloudHadoopNotebookBucketList](/docs/en/analytics-vhadoop-getcloudhadoopnotebookbucketlist). | | `notebookNodeSubnetNo` | String | Required | Notebook node subnet number - See [getCloudHadoopTargetSubnetList](/docs/en/analytics-vhadoop-getcloudhadooptargetsubnetlist). | | `notebookNodeProductCode` | String | Optional | Notebook node server type code - See [getCloudHadoopNotebookProductList](/docs/en/analytics-vhadoop-getcloudhadoopnotebookproductlist). - Default: Minimum specifications (in the order of memory, CPU) | | `useNotebookBlockStorage` | Boolean | Optional | Whether to add notebook node storage - `true` \| `false` (default) - `true`: Add - `false`: Do not add | | `notebookNodeDataStorageTypeCode` | String | Conditional | Storage type - `SSD` \| `HDD` \| `CB2` - Unable to change after installation - Default value changes depending on generationCode value of `getCloudHadoopNotebookImageProductList` | | `notebookNodeDataStorageSize` | Integer | Conditional | Storage capacity (GB) - `100`-`2000` (in 10 GB increments) \| `4000` \| `6000` - Required if `useNotebookBlockStorage` is `true` | | `loginKeyName` | String | Required | Authentication key name - See [getCloudHadoopLoginKeyList](/docs/en/analytics-vhadoop-getcloudhadooploginkeylist). - Required when accessing directly to the node via SSH method. | | `engineVersionCode` | String | Optional | Engine version code - See [getCloudHadoopImageProductList](/docs/en/analytics-vhadoop-getcloudhadoopimageproductlist). - Enter when creating a Rocky cluster. - If not entered, the latest version provided will be applied. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vhadoop/v2/createCloudHadoopNotebookInstance ?regionCode=KR &cloudHadoopNotebookName=hd-nt1 &cloudHadoopNotebookComponent=NOTEBOOK_1.0 &cloudHadoopInstanceNo=2707**** &bucketName=bk1 ¬ebookNodeSubnetNo=17**** &loginKeyName=********** &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `createCloudHadoopNotebookInstanceResponse` | Object | - | Response result - See [CloudHadoopNotebookInstanceList](/docs/en/common-vapidatatype-cloudhadoopnotebookinstancelist). | | `createCloudHadoopNotebookInstanceResponse.requestId` | String | - | ID for the request - UUID format | | `createCloudHadoopNotebookInstanceResponse.returnCode` | String | - | Response code | | `createCloudHadoopNotebookInstanceResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-vhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "createCloudHadoopNotebookInstanceResponse": { "totalRows": 1, "cloudHadoopNotebookInstanceList": [ { "cloudHadoopNotebookInstanceNo": "1000*****", "cloudHadoopNotebookName": "hd-nt2", "cloudHadoopNotebookImageProductCode": "SW.VCHDP.LNX64.CNTOS.0708.HDNTB.10.B050", "cloudHadoopNotebookInstanceStatusName": "creating", "cloudHadoopNotebookInstanceStatus": { "code": "INIT", "codeName": "CLOUD DATABASE (VPC) Init status" }, "cloudHadoopNotebookInstanceOperation": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Creat OP" }, "cloudHadoopNotebookVersion": { "code": "NOTEBOOK1.0", "codeName": "Notebook 1.0" }, "cloudHadoopNotebookComponent": { "code": "NOTEBOOK_1.0", "codeName": "Jupyter notebook 6.4.10 , JupyterLab : 3.2.9" }, "createDate": "2025-02-20T10:55:49+0900", "loginKey": "**********", "objectStorageBucket": "bk1", "accessControlGroupNoList": [], "cloudHadoopClusterName": "clus1", "clusterDirectAccessAccount": "sshuser", "cloudHadoopNotebookServerInstanceList": [ { "cloudHadoopNotebookServerName": "n-001-hd-nt2-5uln-hd", "cloudHadoopNotebookServerRole": { "code": "N", "codeName": "Notebook Node" }, "cloudHadoopNotebookServerInstanceStatusName": "creating", "cloudHadoopNotebookServerInstanceStatus": { "code": "PEND", "codeName": "CLOUD DATABASE (VPC) server Pending status" }, "cloudHadoopNotebookServerInstanceOperation": { "code": "CREAT", "codeName": "CLOUD DATABASE (VPC) server Create OP" }, "cloudHadoopNotebookProductCode": "SVR.VCHDP.NTBND.STAND.C004.M016.NET.HDD.B050.G002", "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "7****", "subnetNo": "17****", "cpuCount": 4, "memorySize": 17179869184, "dataStorageSize": 107374182400, "isPublicSubnet": true, "createDate": "2025-02-20T10:55:49+0900" } ] } ], "requestId": "f3cc51e1-****-****-****-bbb30124e1da", "returnCode": "0", "returnMessage": "success" } } ```